#' Delete reports cache
#'
#' Delete folders `_cache` and `_files` generated by bookdown.
#'
#' @inheritParams list_reports
#' @return Used for side effect
#' @export
clean_report_cache <- function(
    reports_dir = file.path(pkgload::pkg_path(), "reports"),
    reports = list.dirs(reports_dir, full.names = FALSE, recursive = FALSE)) {
  message("Delete cache of reports:")
  invisible(sapply(reports, message))

  for (report in reports){
    clean_cache_report(input = file.path(reports_dir, report))
  }
}
